Subject: Re: [net-next PATCH v4 0/3] net: reserve ports for applications using fixed port

From: [email-masked] (Eric W. Biederman)
Date: Wed, 17 Feb 2010 08:26:27 -0800

Cong Wang <[email-masked]> writes:

> Eric W. Biederman wrote:
>> Cong Wang <[email-masked]> writes:
>>
>>> Octavian Purdila wrote:
>>>> On Tuesday 16 February 2010 22:08:13 you wrote:
>>>>>> Something like bellow?
>>>>>>
>>>>>> # set bits 8080 and 1666
>>>>>> $echo 8080 1666-1666 > /proc
>>>>>>
>>>>>> #reset bit 1666
>>>>>> $echo 8080 > /proc
>>>>>>
>>>>>> #reset whole bitmap
>>>>>> $echo > /proc
>>>>> Yes. So something like that.
>>>>>
>>>>> I think I would use commas instead of spaces as that is more traditional.
>>>
>>> Why this is better than the current version?
>>>
>>> For the single port case, currently we use:
>>>
>>> echo +8080 > /xxxx #set
>>> echo -8080 > /xxxx #clear
>>>
>>> Now we will use:
>>>
>>> echo 8080 > /xxxx #set
>>> echo 8080 > /xxxx #clear
>>
>> No.
>>
>>> I don't think the latter is better...
>>>
>>> For the multi-port case, yes, we should accept 'echo 8080,10000 >/xxxx'.
>>
>> What I was envisioning was:
>>
>> echo 8080 > /xxx # set the bitmap to 8080
>> echo 8080,10000 > /xxx # add 10000 to the bitmap
>> echo 8080 > /xxxx # remove 10000 from the bitmap.
>>
>> That is when you set it you enter the entire set every time, treating
>> the entire set as a single value.
>>
>
> Oh, I see, this is ok.
>
> But if we could support multi-port, that will be better, something like:
>
> echo '8080,10000-11000' > /xxx #add port 8080 and port range 10000-11000
>
> so that I don't have to construct a long string for all ports within
> 10000 and 11000.

Yes, multi-port ranges are what I suggested.  You simply had not
gotten confused about that aspect, so I was not repeating it.
Except for pathological cases a ranges should keep the string
that represents the bitmap small.

Eric